Web lists-archives.com

Re: [Samba] Module error after Samba update - Resolved?




This is really weird. The error below occurred for about 10 minutes after the post-update reboot and then went away. As far as I've been able to test, the DC in question is functioning normally now.

regards,
John


On 07/02/17 16:07, John Gardeniers via samba wrote:
I've just done a yum update and a reboot on one of our CentOS 7 DCs, which has taken Samba from sernet-samba-4.5.1-6 to sernet-samba-4.5.5-13. I now notice that the Samba log files contain errors since the update.

The error message is:

"../lib/util/modules.c:48(load_module) Error loading module '/usr/lib64/samba/vfs/acl_xattr.so': /usr/lib64/samba/libsmbregistry-samba4.so: version `SAMBA_4.5.5_SERNET_REDHAT_13.EL7' not found (required by /usr/lib64/samba/vfs/acl_xattr.so)"

Obviously the pre-update dependency checks didn't work correctly. What is the easiest/best way to resolve it. Can I just roll back the Samba version on that box or is something else required? In the meantime, should I shut down that DC to prevent user problems?

regards,
John




--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba